# pandas.tseries.offsets.WeekOfMonth

class pandas.tseries.offsets.WeekOfMonth

  Describes monthly dates like “the Tuesday of the 2nd week of each month”.

  Parameters
    n int
    week int {0, 1, 2, 3, …}, default 0

      A specific integer for the week of the month. e.g. 0 is 1st week of month, 1 is the 2nd week, etc.

    weekday int {0, 1, …, 6}, default 0

      A specific integer for the day of the week.

      - 0 is Monday

      - 1 is Tuesday

      - 2 is Wednesday

      - 3 is Thursday

      - 4 is Friday

      - 5 is Saturday

      - 6 is Sunday.

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.

  freqstr |
  kwds |
  n |
  name |
  nanos |
  normalize |
  rule_code |
  week |
  weekday |

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.
  `rollback` | Roll provided date backward to next offset only if not on offset.
  `rollforward` | Roll provided date forward to next offset only if not on offset.

  apply |
  apply_index |
  copy |
  isAnchored |
  is_anchored |
  is_month_end |
  is_month_start |
  is_on_offset |
  is_quarter_end |
  is_quarter_start |
  is_year_end |
  is_year_start |
  onOffset |